<?php
if (!defined('CPO')) exit;

$GLOBALS['modules'][ucfirst($moduleDirectory)] = array(
    'directory' => $moduleDirectory,
    'caption'   => 'PHP-Info',
    'install'   => 'function: phpinfo_install',
    'activate'  => 'function: phpinfo_activate',
    'deactivate'=> 'function: phpinfo_deactivate',
    'uninstall' => 'function: phpinfo_uninstall '.$moduleDirectory
	);

function phpinfo_install()
{
    $GLOBALS['message'][] = ___('Das Modul PHP-Info wurde erfolgreich installiert.');
}
function phpinfo_uninstall($moduleDirectory)
{
	 $GLOBALS['message'][] = sprintf(__('Das Modul PHP-Info wurde aus dem ConPresso-System entfernt. Bitte lschen Sie das Modulverzeichnis <i>%s</i>, um die Deinstallation abzuschlieen.'),$moduleDirectory);

}
function phpinfo_activate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('Das Modul PHP-Info wurde aktiviert.').$reload_navigation;
}

function phpinfo_deactivate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('Das Modul PHP-Info wurde deaktiviert.').$reload_navigation;
}

function phpinfo_navigation($moduleDirectory)
{
    $GLOBALS['navigation']['System'][] = 'space'; 
    
    $GLOBALS['navigation']['System'][] = array(
            'caption'=>'PHP-Info',
            'url'=>BASE_REL.$moduleDirectory.'/phpinfo.php'
        );
}

if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
    $hdlr_navigation[] = 'function: phpinfo_navigation '.$moduleDirectory;
}

?>